package com.pos.carddemo.base;

import android.app.Application;

import com.basewin.database.DataBaseManager;
import com.basewin.services.ServiceManager;
import com.pos.carddemo.utils.GlobalData;

/**
 * Created by Administrator on 2016/11/30.
 */

public class DemoApplication extends Application{
    private static final String TAG = "DemoApplication";
    private static DemoApplication instance;

    public static DemoApplication getInstance() {
        return instance;
    }
    @Override
    public void onCreate() {
        super.onCreate();
        instance = this;
        /**
         * init Device Server
         */
		ServiceManager.getInstence().init(getApplicationContext());
        /**
         * init database
         */
        DataBaseManager.getInstance().init(getApplicationContext());
        /**
         * init the GlobalData cashe
         */
        GlobalData.getInstance().init(this);
    }

}
